name: Linting

on: [ pull_request, push ]

jobs:
  lint:
    name: PHP-CS-Fixer

    runs-on: ubuntu-latest

    steps:
      - name: Checkout the code
        uses: actions/checkout@v3

      - name: Check for code style violation with PHP-CS-Fixer
        uses: OskarStark/php-cs-fixer-ga@3.7.0
        with:
          args: --diff --dry-run
